Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1404883

Summary: Review Request: python-aiosmtpd - Asyncio-based SMTP server
Product: [Fedora] Fedora Reporter: Aurelien Bompard <aurelien>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-09 15:57:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1404882    
Bug Blocks:    

Description Aurelien Bompard 2016-12-14 23:32:24 UTC
Spec URL: https://abompard.fedorapeople.org/reviews/aiosmtpd/python-aiosmtpd.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/aiosmtpd/python-aiosmtpd-1.0-0.1.a4.fc26.src.rpm
Description:
This is a server for SMTP and related protocols, similar in utility
to the standard library’s smtpd.py module, but rewritten to be based
on asyncio for Python 3.

Fedora Account System Username: abompard

Comment 1 Neal Gompa 2017-06-02 23:37:09 UTC
Taking this review.

Comment 2 Neal Gompa 2017-06-02 23:37:16 UTC
> BuildRequires:  python3-pkgversion-macros

This package has been superseded by "python-srpm-macros" and thus doesn't build in Rawhide anymore. Please replace.

Comment 3 Aurelien Bompard 2017-06-03 07:18:07 UTC
Done, thanks. I've also updated the package to version 1.0 final.

Spec URL: https://abompard.fedorapeople.org/reviews/aiosmtpd/python-aiosmtpd.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/aiosmtpd/python-aiosmtpd-1.0-1.fc25.src.rpm

Comment 4 Neal Gompa 2017-06-03 11:55:57 UTC
Review notes:

- Follows Python packaging guidelines
- Follows extended guidelines for EPEL
- Builds and installs
- No rpmlint issues
- No fedora-review issues

PACKAGE APPROVED.

Comment 5 Gwyn Ciesla 2017-06-05 12:39:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-aiosmtpd

Comment 6 Fedora Update System 2017-07-31 07:58:25 UTC
python-aiosmtpd-1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-19db6a5d92

Comment 7 Fedora Update System 2017-08-01 00:25:19 UTC
python-aiosmtpd-1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-19db6a5d92

Comment 8 Fedora Update System 2017-08-09 15:57:57 UTC
python-aiosmtpd-1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.